Subject: _path_files in numeric order
From: Christian Neukirchen <[email-masked]>
To: [email-masked]
Date: Fri, 19 Aug 2016 13:53:51 +0200
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Hi,

I was looking into how to make plain file name completion order "by
version", ie. "foo1 foo9 foo10" and found this to be missing from the
"file-sort" style.  I think the easiest way to add this is to put

  [[ "$tmp1" = *numeric* ]] && sort="${sort}n"

in _path_files, below the *rev* and *follow* things.

If anyone has a less invasive method, please tell me.  Else, I propose
to add this feature (or alternatively, a way to inject own sorting
flags directly).

Thanks,
-- 
Christian Neukirchen  <[email-masked]>  http://chneukirchen.org